---
title: "Create a new user."
slug: "create-a-new-user"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/create-a-new-user"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new user.

Post/v1/users

Sign up a new user.

Body parameters

Request to create a new user.

<select class='api-response-data' aria-label='Media type'><option value='1180edcb-49b3-4c21-94a2-f083731598c9'>application/json</option>
</select>object  user_emailstring    Required

User's email address.

user_passwordstring  (password)    Required

The password to assign to this user in Confidential Computing Manager.

first_namestring    
last_namestring    
recaptcha_responsestring    

Responses201

Created user details.

<select class='api-response-data' aria-label='Media type'><option value='f6c8726f-a0a5-4cea-9ffb-457fde739b72'>application/json</option>
</select>object  user_idstring  (uuid)    

User Id.

first_namestring    

First Name.

last_namestring    

Last Name.

user_emailstring    

User Email.

last_logged_in_atinteger  (int64)    

Last login time of user.

created_atinteger  (int64)    

Creation time of user.

email_verifiedboolean    

Whether this user's email has been verified.

statusstring    

Status of a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
roles Array of string (AccessRoles)   string    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
user_account_statusstring    

Status of an Account for a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
accepted_latest_terms_and_conditionsboolean    

Whether this user has accepted latest terms and conditions or not.

new_emailstring    

User’s new email address before it has been confirmed.
